Skip to main content
GET
/
api
/
v1
/
events
/
{id}
JavaScript
import CheckoutIntents from 'checkout-intents';

const client = new CheckoutIntents({
  apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});

const event = await client.events.retrieve('id');

console.log(event.id);
{
  "id": "evt_1234567890",
  "object": "event",
  "type": "checkout_intent.offer_retrieved",
  "createdAt": "2026-03-25T00:00:00Z",
  "source": {
    "id": "ci_1234567890",
    "type": "checkout_intent"
  },
  "data": {}
}

Authorizations

Authorization
string
header
required

Rye API key

Path Parameters

id
string
required

Response

The event

id
string
required

Unique identifier for the event. This can be used as an idempotency key to avoid double-processing of the same underlying event.

Example:

"evt_1234567890"

object
enum<string>
required
Available options:
event
type
required

Description of the event.

Refer to types of events for a list of possible values.

Available options:
checkout_intent.offer_retrieved,
checkout_intent.offer_failed,
checkout_intent.completed,
checkout_intent.order_failed
Example:

"checkout_intent.offer_retrieved"

createdAt
string
required

Timestamp of when the event was created.

Example:

"2026-03-25T00:00:00Z"

source
object
required

A reference to the object which triggered the event.

You should use the API to fetch the full object details.

data
object

The event data payload. The concrete shape depends on source.type.

Refer to webhook event types for the payload shape associated with each source.type.